plan:app-runner:dev:be:
  stage: plan
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd backend/apprunner/dev
    - terragrunt plan

plan:app-runner:dev:fe:
  stage: plan
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd frontend/apprunner/dev
    - terragrunt plan

apply:app-runner:dev:be:
  stage: apply
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd backend/apprunner/dev
    - terragrunt apply -auto-approve 


apply:app-runner:dev:fe:
  stage: apply
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd frontend/apprunner/dev
    - terragrunt apply -auto-approve 


destroy:app-runner:dev:be:
  stage: destroy
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd backend/service/backend
    - terragrunt destroy -auto-approve


destroy:app-runner:dev:fe:
  stage: destroy
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd frontend/apprunner/dev/dev
    - terragrunt destroy -auto-approve
